darcs

Issue 2236 Should be able to answer 'n' to y/n question in last regrets

Title Should be able to answer 'n' to y/n question in last regrets
Priority Status resolved
Milestone Resolved in 2.10.0 HEAD
Superseder last regrets with single patch being selected
View: 2210
Nosy List fx
Assigned To
Topics

Created on 2012-09-11.16:10:45 by fx, last changed 2012-12-21.12:03:50 by noreply.

Messages
msg16080 (view) Author: fx Date: 2012-09-11.16:10:44
[This is with version ~2.9.5, but I don't think it's particularly new.]

If you start a pull, and answer "n" to each of the patches offered, you
still get a question about the 0 patches:

  Do you want to push these patches? [Yglqk...], or ? for more options: 

Also, it surely should be possible to answer "n" to a y/n question.
msg16086 (view) Author: owst Date: 2012-09-12.20:59:37
This is basically the same problem as issue2210, except here is 0
patches, and there it's 1 patch.
msg16090 (view) Author: fx Date: 2012-09-14.15:22:23
Owen Stephens <bugs@darcs.net> writes:

> Owen Stephens <darcs@owenstephens.co.uk> added the comment:
>
> This is basically the same problem as issue2210, except here is 0
> patches, and there it's 1 patch.
>
> ----------
> superseder: +last regrets with single patch being selected

I don't know if I was expected to guess that title was remotely related
when I scanned the open reports, but...

I don't understand the system.  Does that mean I need to make another
report about the y/n issue?
msg16091 (view) Author: owst Date: 2012-09-14.15:30:35
> I don't know if I was expected to guess that title was remotely related
> when I scanned the open reports, but...

Not at all, I meant to mark this as a duplicate, but forgot to change the 
status, oops!

> I don't understand the system.  Does that mean I need to make another
> report about the y/n issue?

I'll do it, now.

Thanks for the bug report!
msg16092 (view) Author: owst Date: 2012-09-14.15:33:57
On second thoughts, I'll just tweak this bug's description and title.

This bug is for the second part of the original bug report:

  Do you want to push these patches? [Yglqk...], or ? for more options: 

it surely should be possible to answer "n" to a y/n question. 

I'd suggest that 'n' should become an alias for 'q' here.
msg16456 (view) Author: noreply Date: 2012-12-21.12:03:49
The following patch sent by "Gian Piero Carrubba" <gpiero@rm-rf.it> updated issue issue2236 with
status=resolved;resolvedin=2.10.0 HEAD

* resolve issue2236: make 'n' an alias for 'q' in lastregret questions 
Ignore-this: fba9d618efcf16136dcf93da2c35e610
History
Date User Action Args
2012-09-11 16:10:45fxcreate
2012-09-12 20:59:38owstsetsuperseder: + last regrets with single patch being selected
messages: + msg16086
2012-09-14 15:22:24fxsetmessages: + msg16090
2012-09-14 15:30:36owstsetstatus: unknown -> duplicate
messages: + msg16091
2012-09-14 15:33:58owstsetstatus: duplicate -> unknown
messages: + msg16092
title: poor confirmation messages -> Should be able to answer 'n' to y/n question in last regrets
2012-12-21 12:03:50noreplysetstatus: unknown -> resolved
messages: + msg16456
resolvedin: 2.10.0 HEAD